/api/include/includes
get
Get a list of include chains
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
deletedstringOptionalDefault:
0templatestringOptional
trackstringOptionalDefault:
0enabledstringOptionalDefault:
0Responses
200
success
successbooleanOptionalExample:
trueget/api/include/includes
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'deleted' => 1,
'template' => 'chaininclude_popup',
'track' => 1,
'enabled' => 1
);
$request = array(
'method' => 'GET',
'path' => 'include/includes',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"chains": [
{
"include_chain_id": "1",
"name": "test include name",
"switch": "4",
"template": "chaininclude_popup",
"track": "1",
"deleted": "0",
"enabled": "1",
"switch_details": {
"siteid": {
"siteid": "1",
"name": "Membership Site A"
},
"tourid": {
"tourid": "1",
"name": "Default Tour"
}
}
}
]
}Last updated
Was this helpful?